<?php
namespace Misuzu\Comments;

use Index\Data\IDbResult;

class CommentsPostVoteInfo {
    private string $commentId;
    private string $userId;
    private int $weight;

    public function __construct(IDbResult $result) {
        $this->commentId = (string)$result->getInteger(0);
        $this->userId = (string)$result->getInteger(1);
        $this->weight = $result->getInteger(2);
    }

    public function getCommentId(): string {
        return $this->commentId;
    }

    public function getUserId(): string {
        return $this->userId;
    }

    public function getWeight(): int {
        return $this->weight;
    }
}
